%**************************************************************************
% FILENAME: COUNT_IT.m
%**************************************************************************
%   Counts different tings by use of NCFORC-file:
%       - Counts NODES
%       - Counts TIME-STEPS
%       - FINDS MESH-SIZE ON RIGID PLATE 
%**************************************************************************
%------------------------------->>        DEVELOPED BY: SIMEN BHLERENGEN
%**************************************************************************
% COUNT NODES:
%--------------------------------------------------------------------------
fud = fopen('ncforc');
cou = 1;
for i=1:15
    tline = fgets(fud);
end

cou_node = 0;
c_node = 0;
f_cou_node = fscanf(fud,'%d',[1,1]);
while c_node == cou_node
    fgets(fud);
    fgets(fud);
    cou_node = fscanf(fud,'%d',[1,1]);

    c_node = f_cou_node + cou;
    cou = cou + 1;
end
NR_NODES = cou-1;
fclose(fud);

% COUNT TIMESTEP:
%--------------------------------------------------------------------------
fod = fopen('ncforc');

for i=1:7
    tline = fgets(fod);
end
TIME1=0;
TIME2=0.1;
cou_ts = 0;
while TIME1 < TIME2
    cou_ts = cou_ts + 1;
	tline = fgets(fod);
	tline = fgets(fod);
	tline = fgets(fod);
	TIME1 = fscanf(fod,'%*s %*c %*c %*c %f',[1,1]);

    for i=1:NR_NODES*2+3
        tline = fgets(fod);
    end

	tline = fgets(fod);
	tline = fgets(fod);
	tline = fgets(fod);
	TIME2 = fscanf(fod,'%*s %*c %*c %*c %f',[1,1]);

    for i=1:NR_NODES*2+3
        tline = fgets(fod);
    end
end
NR_TS = cou_ts*2-1;
fclose(fod);

% MESH SIZE:
%--------------------------------------------------------------------------
fud = fopen('ncforc');
cou = 1;
for i=1:15
    tline = fgets(fud);
end
fgets(fud);
coord1(1:3) = fscanf(fud,'%f %f %f',[1,3]);
fgets(fud);
fgets(fud);
coord2(1:3) = fscanf(fud,'%f %f %f',[1,3]);
Meshsize = (coord2(1)-coord1(1))+(coord2(2)-coord1(2))+...
           (coord2(3)-coord1(3));
fclose(fud);

% PRINTER UT:
%--------------------------------------------------------------------------
PRINT_TS = sprintf('ANTALL TIMESTEP:    %d',NR_TS);
PRINT_N = sprintf('ANTALL NODES:       %d',NR_NODES);
PRINT_MS =sprintf('MESHSIZE:           %f',Meshsize);
disp(PRINT_TS)
disp(PRINT_N)
disp(PRINT_MS)
