function [results] = wordcount2(filename)
% 
% NAME: Wordcount2 (Written on Apr 8, 2008, corrected August 8, 2012)
% 
% AUTHOR: Suri Like ( surilike@gmail.com )
%         Lee White (lwhite4@gmail.com)
% 
% MODIFIED BY: Simen Bhlerengen
% Choose which word you want to count by changing UNIQUE_WORDS input
%
%% First import the words from the text file into a cell array
fid = fopen(filename);
words = textscan(fid, '%s');
status = fclose(fid);

%% Now count the number of times each word appears
num = 1;
unique_words = 'time';

frequencies = zeros(numel(unique_words), 1);

for i = 1:numel(unique_words)
    if max(unique_words ~= ' ')
        for j = 1:numel(words{1,1})
            if strcmp(words{1,1}(j), unique_words)
                frequencies(i) = frequencies(i) + 1;  % frequencies
            end
        end
    end
end
%% Print out the results
[sorted_freq, sorted_indexes] = sort(frequencies,'descend');

results = sorted_freq(i);
