%**************************************************************************
%               Post-Processing LS-DYNA Results SCRIPT
%**************************************************************************
%                   Post-processing of the NCFORC-FILE
%**************************************************************************
%                        READING NCFORC FILE
% PART 1: INPUT
% PART 2: READ FILE
%**************************************************************************
%------------------------------->>        DEVELOPED BY: SIMEN BHLERENGEN
%**************************************************************************

fid = fopen('ncforc');
%**************************************************************************
%PART 1)    INPUT DATA
%**************************************************************************
% VELOCITY CHOSEN IN ANALYSIS, AND THE RADIUS OF THE ICEBERG:
v = 2;          % [m/s] velocity
r = 1.5;        % [m] radius of the Iceberg
%**************************************************************************

NR_W = sqrt(NR_NODES);
NR_H = sqrt(NR_NODES);

% Structure dimension:
%Width:
minW = -(NR_W-1)/2*Meshsize;
maxW = (NR_W-1)/2*Meshsize;
%Hight:
minH = -(NR_H-1)/2*Meshsize;
maxH = (NR_H-1)/2*Meshsize;

NR_TS = NR_TS-1;
%%
%**************************************************************************
% PART 2:    READ FILE:
%**************************************************************************
for i=1:7
tline = fgets(fid);
end
TIME = zeros(1,NR_TS);
 dyna = zeros(NR_W,NR_H,8,NR_TS);
for t=1:NR_TS
  tline1 = fgets(fid);
  tline2 = fgets(fid);
  tline3 = fgets(fid);
  % READ TIME at each time-step:
  TIME(t) = fscanf(fid,'%*s %*c %*c %*c %f',[1,1]);

for i=1:4
  tline = fgets(fid);
end

 for y = 1:NR_H
     for x = 1:NR_W
         % READ rest of the VALUES from NCFORC-file:
         % Cordinates, forces and the pressures is read
         dyna(x,y,1:8,t) = fscanf(fid,'%d %f %f %f %f %f %f %f',[1,8]);
     end
 end
end
fclose(fid);

savefile = 'VARIABLES/dyna.mat';
save(savefile, 'dyna');

