% Tsai-Wu yield surface experimental data:


%a = [ 22.93      2.588    6.341     4.3644;
%      2.06       8.630    6.900       5.511;
%     -0.023     -0.163   -0.114     -0.071];

a0 = 2.588*1.2
a1 = 8.630*1.2
a2 = -0.163/1.2

a = [ a0      2.588    6.341     4.3644;
      a1       8.630    6.900       5.511;
     a2     -0.163   -0.114     -0.071];

%a = [  2.588      2.588    2.588        2.588;
%      9.7956      8.630  11. 428     6.900;
%    -0.13583     -0.163   -0.114      -0.114];
%{  
 a = [ 2.588      2.588    2.588       2.588;
      6.900       6.900    6.900       6.900;
     -0.714     -0.914   -0.114      -0.314];

 a = [ 2.588      5.588    10.588       15.588;
      6.900       6.900    6.900       6.900;
     -0.114      -0.114   -0.114      -0.114];
 %}
 
 %a = [ 22.93      2.588    10.360    4.3644;
 %     2.06       8.630    7.4         4.511;
 %    -0.023     -0.163   -0.114     -0.061];

p=-10:120;

J1=a(1,1)+a(2,1)*p+a(3,1)*p.^2;
J2=a(1,2)+a(2,2)*p+a(3,2)*p.^2;
J3=a(1,3)+a(2,3)*p+a(3,3)*p.^2;
J4=a(1,4)+a(2,4)*p+a(3,4)*p.^2;

figure(14)
set(gcf,'color','w');
plot(p,J1,'b',p,J2,'g',p,J3,'r',p,J4,'m');
axis([-20,100,0,180]);
legend('Derradji-Aouat','Kierkegaard','Riska and Frederking (data set 1)',...
    'Riska and Frederking (data set 2)');
xlabel('Hydrostatic pressure, p [MPa]');
ylabel('J2');

a00 = a(1,3);
a11 = a(2,3);
a22 = a(3,3);
e0 = 0.01;
p  = -20:100;

h = 0.01;
v=-2;

J22 = a00+a11*p+a22*p.^2;

syms x;
LIG = solve(a00+a11*x+a22*x^2,x);
LIG2 = double(LIG);
%LIG2 = 55;
figure(15)
set(gcf,'color','w');
plot(p,J22,'b');
axis([-20,100,0,180]);
ylabel('J2');
xlabel('p');


ef = e0+((p/LIG2(1))-0.5).^2;

figure(15)
set(gcf,'color','w');
plot(p,ef,'b',p,h,'g-*', v, ef,'r*','MarkerSize',2);
legend('Strain failure curve')
axis([-10,100,0,0.4]);
ylabel('J2');
xlabel('p');