%**************************************************************************
%               Post-Processing LS-DYNA Results SCRIPT
%**************************************************************************
%                 Post-processing of the MATSUM-FILE
%**************************************************************************
% PART 1: Read MATSUM-file
% PART 2: Calculate different energies
% PART 3: ENERGY CURVES PLOTSENERGIES
%**************************************************************************
%------------------------------->>        DEVELOPED BY: SIMEN BHLERENGEN
%**************************************************************************
% MAKE USE OF A WORD-COUNT FUNCTION:
NR_TS = wordcount2('rcforc');   % counts number of the word = time
NR_TS = NR_TS/4;                                % gives number of time-step;
                                

close all
%**************************************************************************
% PART 1: READ IN MATSUM-FILE
%**************************************************************************
fid = fopen('rcforc');
for i=1:5
    tline = fgets(fid);
end

b = fscanf(fid,'%d %*s',[1,inf]);
NR_MAT = length(b);
tline = fgets(fid);


SV = zeros(8,NR_TS,2);
MV = zeros(8,NR_TS,2);
for t = 1:NR_TS
    for w = 1:5
    tline0 = fgets(fid);
    end
    for q = 1:2
    fscanf(fid,'%*s %d',[1,1]);
    SV(1:8,t,q) = fscanf(fid,'%*s %f',[1,8]);
    fscanf(fid,'%*s %d',[1,1]);
    MV(1:8,t,q) = fscanf(fid,'%*s %f',[1,8]);
    end
end
fclose(fid);

%**************************************************************************
%%
TIME = SV(1,:);
NEG_TIME = -TIME;
RCFORC_MX_P = MV(2,:,1)*10-6;
RCFORC_MX_R = MV(2,:,2)*10-6;

RCFORC_SX_P = SV(2,:,1)*10-6;
RCFORC_SX_R = SV(2,:,2)*10-6;

RCFORC_MX_S = zeros(1,NR_TS);
RCFORC_SX_S = zeros(1,NR_TS);
for t=1:NR_TS
RCFORC_MX_S(1,t) = (sum(MV(2,t,1)+MV(2,t,2)))*10-6;
RCFORC_SX_S(1,t) = (sum(SV(2,t,1)+SV(2,t,2)))*10-6;
end
RCFORC_MALL = zeros(1,NR_TS);
RCFORC_SALL = zeros(1,NR_TS);

RCFORC_MALL_S = zeros(1,NR_TS);
RCFORC_SALL_S = zeros(1,NR_TS);

for t=1:NR_TS
RCFORC_MALL(t)= (sqrt((MV(2,t,1))^2+(MV(3,t,1))^2+(MV(4,t,1))^2))*10-6;
RCFORC_SALL(t)= (sqrt((SV(2,t,1))^2+(SV(3,t,1))^2+(SV(4,t,1))^2))*10-6;

RCFORC_MALL_S(t)= (sqrt((sum(MV(2,t,:)))^2+(sum(MV(3,t,1)))^2+(sum(MV(4,t,1)))^2))*10-6;
RCFORC_SALL_S(t)= (sqrt((sum(SV(2,t,1)))^2+(sum(SV(3,t,1)))^2+(sum(SV(4,t,1)))^2))*10-6;
end


Dpush = zeros(1,NR_TS);
ini_s = 0;
v = 2;

for t=1:NR_TS
if RCFORC_MALL(t) == 0
ini_s = v*TIME(t);              % inital length (before impact)
else
Dpush(t) = v*TIME(t)-ini_s;          % indentation length
end
end

%%
NR_POINTS = wordcount3('P1BRR');
NR_POINTS = NR_POINTS/2;
%%
fud = fopen('P1BRR');

for i=1:5
    tline = fgets(fid);
end

Dp = zeros(2,NR_TS,NR_POINTS);

for i = 1:NR_POINTS
    tline = fgets(fid);
    tline = fgets(fid);
    tline = fgets(fid);
    tline = fgets(fid);
    for t = 1:NR_TS
        Dp(1:2,t,i) =  fscanf(fid,'%f %f',[1,2]);
    end
    tline = fgets(fid);
    tline = fgets(fid);
    
end
fclose(fud);

MAX = zeros(1,NR_TS);
for t=1:401
    for i=1:NR_POINTS-1
        if i == 1;
        MAX(t) = min(Dp(2,t,i),Dp(2,t,i+1));
        else
        MAX(t) = min(MAX(t),Dp(2,t,i+1));
        end
    end
end
Dplate = -abs(MAX);

Dice = Dpush + Dplate;



%%

figure(100)
centeraxes(gca,0);
set(gcf,'color','w');
plot(Dplate,RCFORC_MALL_S,'r-',Dice,RCFORC_MALL_S,'b-', 'LineWidth',1)
title('SHIP (RIGHT SIDE)     VS      ICEBERG (LEFT SIDE)')
xlabel('Time [s]')
ylabel('Energy [MPa]')
opt.fontname = 'helvetica';
opt.fontsize = 8;
centeraxes(gca,opt);
box on
hold off

%**************************************************************************
% SAVING WORKPLACE!!!!
savefile =  'VARIABLES/RCFORC_WS.mat';
save(savefile)
